You are not logged in.

#1 2014-05-18 08:38:27

Fincer
Member
Registered: 2014-05-18
Posts: 20

[SOLVED] Cinnamon 2.2.8: Extensions not working

1. -- Configuring Cinnamon extensions

NOTE! This problem has been solved. See message #13 for details.

The first problem I have is that I'm not able to configure any extensions in the recent Cinnamon 2.2.8 in Arch Linux.

http://s29.postimg.org/v2ierpco7/cinnam … onsbug.png

When clicking Configure button (either one showed in the picture above or the other on bottom of the main window), I get the following terminal output. On this example, I clicked the button twice:

Loading Extensions module
Could not find any instance settings data for this extension - are you sure it is loaded, and supports settings?
Traceback (most recent call last):
  File "/usr/lib/cinnamon-settings/bin/ExtensionCore.py", line 475, in <lambda>
    item.connect('activate', lambda x: self._configure_extension())
  File "/usr/lib/cinnamon-settings/bin/ExtensionCore.py", line 1009, in _configure_extension
    settingContainer = XletSettings.XletSetting(uuid, self, self.collection_type)
  File "/usr/lib/cinnamon-settings/bin/XletSettings.py", line 53, in __init__
    self.build_single()
  File "/usr/lib/cinnamon-settings/bin/XletSettings.py", line 145, in build_single
    self.current_id = instance_key
UnboundLocalError: local variable 'instance_key' referenced before assignment
Could not find any instance settings data for this extension - are you sure it is loaded, and supports settings?
Traceback (most recent call last):
  File "/usr/lib/cinnamon-settings/bin/ExtensionCore.py", line 475, in <lambda>
    item.connect('activate', lambda x: self._configure_extension())
  File "/usr/lib/cinnamon-settings/bin/ExtensionCore.py", line 1009, in _configure_extension
    settingContainer = XletSettings.XletSetting(uuid, self, self.collection_type)
  File "/usr/lib/cinnamon-settings/bin/XletSettings.py", line 53, in __init__
    self.build_single()
  File "/usr/lib/cinnamon-settings/bin/XletSettings.py", line 145, in build_single
    self.current_id = instance_key
UnboundLocalError: local variable 'instance_key' referenced before assignment
Traceback (most recent call last):
  File "/usr/lib/cinnamon-settings/bin/XletSettings.py", line 71, in on_hide
    self.content.hide()
AttributeError: XletSetting instance has no attribute 'content'

My gcc version is:

gcc (GCC) 4.9.0 20140507 (prerelease)

and python version:

Python 3.4.0

I installed a fresh Arch Linux two days ago so there should not be old configurations etc. in the system.

2. -- Missing several Cinnamon modules

NOTE! This problem has been fixed by loqs & clfarron4. It was caused by a missing mintlocale package. Thank you for your attention!

The second problem I have is lack of the following Cinnamon settings in GUI (cinnamon-settings):

- region (Regional Settings)
- Languages

Output when trying to load, for example, region module:

[fincer@fincer-laptop ~]$ cinnamon-settings region
Unknown module region, using cinnamon-control-center

I already checked folders

/usr/lib/cinnamon-settings/modules/
/usr/lib64/cinnamon-settings/modules/
/usr/lib/cinnamon-control-center-1/panels/
/usr/lib64/cinnamon-control-center-1/panels/

I have libregion.so in panels folder but I couldn't find more relevant information related to the problem.

Any help is appreciated. Thank you!

Last edited by Fincer (2014-05-22 20:54:24)

Offline

#2 2014-05-18 12:36:25

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,162
Website

Re: [SOLVED] Cinnamon 2.2.8: Extensions not working

Extensions works for me.

====

I think that Date & Time now deals with where you are in the world.

I've had a look for Language settings and that looks like it's disappeared now.


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#3 2014-05-18 12:41:31

loqs
Member
Registered: 2014-03-06
Posts: 5,948

Re: [SOLVED] Cinnamon 2.2.8: Extensions not working

The "language support" and "regional support" panels were removed. See http://www.linuxmint.com/rel_qiana_cinn … atsnew.php The mint replacement https://github.com/linuxmint/mintlocale is not in arch as far as I can see.

Offline

#4 2014-05-18 14:29:09

Fincer
Member
Registered: 2014-05-18
Posts: 20

Re: [SOLVED] Cinnamon 2.2.8: Extensions not working

Thank you for your quick response.

1.

There was only little information about the first problem around the web so I dug it myself for a while. The reason for the missing configuration tabs is in missing config files for installed cinnamon extensions. Basically you need to add configuration files manually into .cinnamon/configs/ folder  afterwards.

For example, I have an extension called "backgrounds" (backgrounds@mohammad-sn). Extension files are located at .local/share/cinnamon/extensions/backgrounds@mohammad-sn/ folder -> OK
There should be another folder for configs at .cinnamon/configs/backgrounds@mohammad-sn/. However, this folder doesn't exist at all.

Luckily I have a Linux Mint installation with exactly same extensions so my solution was to copy config files manually from Mint to Arch. Everything is working now.

I think this is a bug of some kind because all this should work automatically without additional user interference.

2.

Hmm...it seems that mintlocale package should be ported to Arch in order to get "Language & Regional Support" functionality to Cinnamon-settings menu.

Offline

#5 2014-05-18 22:06:47

loqs
Member
Registered: 2014-03-06
Posts: 5,948

Re: [SOLVED] Cinnamon 2.2.8: Extensions not working

a quick mintlocale PKGBUILD for you

pkgname=mintlocale
pkgver=1.1
pkgrel=1
epoch=
pkgdesc=""
arch=('any')
url="https://github.com/linuxmint/mintlocale"
license=('GPL')
depends=('python2-gobject')
source=("$pkgname-$pkgver.tar.gz::https://github.com/linuxmint/mintlocale/archive/$pkgver.tar.gz")
sha256sums=('348ade18d40640fb73384657bfa1aac2ef88f2d6ab33972f20a668cdc0f5c09d')
prepare() {
	cd "$srcdir/$pkgname-$pkgver"
	find -type f -print0 | xargs -0 sed -i 's@^#!.*python$@#!/usr/bin/python2@'
}

package() {
	cd "$srcdir/$pkgname-$pkgver"
	cp -r --no-preserve=owner usr $pkgdir
}

Offline

#6 2014-05-18 22:18:21

Fincer
Member
Registered: 2014-05-18
Posts: 20

Re: [SOLVED] Cinnamon 2.2.8: Extensions not working

That's great help! Thanks loqs, language settings are visible now.

Should this quick "patch" be added in AUR?

Offline

#7 2014-05-18 22:31:11

loqs
Member
Registered: 2014-03-06
Posts: 5,948

Re: [SOLVED] Cinnamon 2.2.8: Extensions not working

Probably yes but would need someone to maintain it in AUR and the licence in the PKGBUILD needs changing to GPL2 to match the rest of cinnamon (although the source files themselves include no licence ).  Probably best to get it looked at in the AUR Issues, Discussion & PKGBUILD Requests forum to check for other mistakes I may have made in the PKGBUILD. ( first attempt at one )

Offline

#8 2014-05-19 08:53:18

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,162
Website

Re: [SOLVED] Cinnamon 2.2.8: Extensions not working

loqs wrote:

Probably yes but would need someone to maintain it in AUR and the licence in the PKGBUILD needs changing to GPL2 to match the rest of cinnamon (although the source files themselves include no licence ).  Probably best to get it looked at in the AUR Issues, Discussion & PKGBUILD Requests forum to check for other mistakes I may have made in the PKGBUILD. ( first attempt at one )

It looks good to me (with the GPL2 change) and it seems to build perfectly fine.

I'm also quite familiar with maintaining packages in the AUR, so I'm quite happy to adopt the PKGBUILD and give @loqs credit for it as well. I don't think there's any need for a .install file though I might be mistaken.

Last edited by clfarron4 (2014-05-19 08:55:49)


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#9 2014-05-19 09:28:41

loqs
Member
Registered: 2014-03-06
Posts: 5,948

Re: [SOLVED] Cinnamon 2.2.8: Extensions not working

clfarron4 wrote:

It looks good to me (with the GPL2 change) and it seems to build perfectly fine.

I'm also quite familiar with maintaining packages in the AUR, so I'm quite happy to adopt the PKGBUILD and give @loqs credit for it as well. I don't think there's any need for a .install file though I might be mistaken.

That sounds great thank you clfarron4 smile

Offline

#10 2014-05-19 12:24:20

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,162
Website

Re: [SOLVED] Cinnamon 2.2.8: Extensions not working

There we go: https://aur.archlinux.org/packages/mintlocale/

Vote for it, and it might get adopted into [community].

EDIT: If you want pre-built packages, I'm hosting the package and the signature here.

NOTE: To use the signature, you'll have to add my GPG key for package signing.

Known Issues: You can't add/remove languages because it relies on an apt_get module. I'll look into this later this week.

Last edited by clfarron4 (2014-05-19 12:57:36)


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#11 2014-05-21 15:51:43

Fincer
Member
Registered: 2014-05-18
Posts: 20

Re: [SOLVED] Cinnamon 2.2.8: Extensions not working

Thanks clfarron4. I voted for the package.

I needed to re-open this topic since it seems that issue number 1 is still alive.

To be more detailed, I can currently access extension configurations via configure button in cinnamon-settings. However, I noticed that I'm not able to actually change any extension settings and thus, these extensions are not working. In my Linux Mint installation (Cinnamon 2.0.6), they are working perfectly fine.

So, I still have GUI access to extension configurations but the settings affect nothing, no matter of my customizations. They simply do not run.

I get this terminal output while running cinnamon-settings and entering to configuration tab:

Opacify plugin:

__init__ took 236.561 ms
Loading Extensions module
Could not find tooltip for key 'opacity' in xlet 'opacify@anish.org'
Could not find tooltip for key 'beginTime' in xlet 'opacify@anish.org'
Could not find tooltip for key 'beginEffect' in xlet 'opacify@anish.org'
Could not find tooltip for key 'endTime' in xlet 'opacify@anish.org'
Could not find tooltip for key 'endEffect' in xlet 'opacify@anish.org'

Backgrounds plugin:

__init__ took 309.628 ms
Loading Extensions module
Could not find tooltip for key 'path' in xlet 'backgrounds@mohammad-sn'
Could not find tooltip for key 'time' in xlet 'backgrounds@mohammad-sn'

My basic question is: what in Earth could I miss here? I have correct extension files & subfolders in both ./.local/share/cinnamon/extensions and ./.cinnamon/configs/.

Last edited by Fincer (2014-05-22 07:56:53)

Offline

#12 2014-05-21 17:58:18

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,162
Website

Re: [SOLVED] Cinnamon 2.2.8: Extensions not working

Hmm... I might break out Linux Mint 17RC and see if Cinnamon 2.2.X suffers from this problem with the extensions.


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#13 2014-05-22 15:23:26

Fincer
Member
Registered: 2014-05-18
Posts: 20

Re: [SOLVED] Cinnamon 2.2.8: Extensions not working

I asked for a solution on Github and got an answer which states that these extensions are outdated and do not support the newest Cinnamon versions. However, Stephen Collins has a comprehensive explanation about why extensions are not working in the newest Cinnamon 2.2.X:

Unlike applets and desklets, which use the api, extensions directly integrate with the cinnamon code, which means they are more susceptible to 'breaking' between versions. For that reason, extensions must specify the version(s) with which they are compatible. If the version you are using is not in the list, the extension will not work. It is unlikely that most of the extensions are compatible with 2.2 yet, as it hasn't been out for very long. I know Opacify Windows, for example, is not, though I submitted a pull request to the the author, so hopefully an update will be posted soon.

If you don't want to wait for the author of a given extension to post an update, you could always open metadata.json (found in ~/.local/share/cinnamon/extensions/[your_extension_uuid]/) and add your version to the list. Be warned, however - if there were changes to related parts of Cinnamon, it may cause Cinnamon to crash.

See full topic here:

https://github.com/linuxmint/Cinnamon/issues/3179

So, the issue is mostly solved.

Last edited by Fincer (2014-05-22 19:06:57)

Offline

Board footer

Powered by FluxBB